Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Fail to update cabal on win7 #1671

Closed
sbergot opened this Issue · 1 comment

2 participants

Bergot Mikhail Glushenkov
Bergot

I cannot update cabal on windows seven. When running cabal install cabal-install, I get the following error:

Linking C:\Users\sberg\AppData\Local\Temp\Cabal-1.18.1.2-10956\Cabal-1.18.1.2\dist\setup\setup.exe ...
Configuring Cabal-1.18.1.2...
setup.exe: does not exist
Failed to install Cabal-1.18.1.2
cabal: Error: some packages failed to install:
Cabal-1.18.1.2 failed during the configure step. The exception was:
ExitFailure 1
cabal-install-1.18.0.2 depends on Cabal-1.18.1.2 which failed to install.

I could not find any information on haskellwiki/cabal faq. Am I missing something? I am using the version 2013.2.0.0 of the haskell platform for windows.

What I tried:

  • %USER%/AppData/Roaming/cabal/bin is in my PATH
  • I tried removing %USER%/AppData/Roaming/cabal/packages/hackage.haskell.org/00-index.*
  • I tried cabal install Cabal. Same result without the last line.

I have eclipseFP installed.

Mikhail Glushenkov
Collaborator

This was likely caused by incorrect ld overriding the one that came with GHC; fixed in 1.20 (#1528).

Please reopen if still happens.

Mikhail Glushenkov 23Skidoo closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.